Subject: Re: [PATCH] watchdog: Fix build error when CONFIG_SOFTLOCKUP_DETECTOR is not set

From: Michael Ellerman <[email-masked]>
Date: Thu, 28 Jul 2022 13:18:06 +1000

Laurent Dufour <[email-masked]> writes:
> Le 27/07/2022 à 13:38, Michael Ellerman a écrit :
>> Laurent Dufour <[email-masked]> writes:
>>> Sachin reported the following build error when CONFIG_SOFTLOCKUP_DETECTOR
>>> is not set:
>>>
>>> kernel/watchdog.c:597:20: error: static declaration of 'lockup_detector_reconfigure' follows non-static declaration
>>>  static inline void lockup_detector_reconfigure(void)
>>>                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~
>>> In file included from kernel/watchdog.c:17:
>>> ./include/linux/nmi.h:125:6: note: previous declaration of 'lockup_detector_reconfigure' was here
>>>  void lockup_detector_reconfigure(void);
>>>       ^~~~~~~~~~~~~~~~~~~~~~~~~~~
>>>
>>> The definition of lockup_detector_reconfigure should be exported even in
>>> that case, and __lockup_detector_reconfigure should remain static.
>>>
>>> Fixes: 24a1260705b7 ("watchdog: export lockup_detector_reconfigure")
>>> Reported-by: Sachin Sant <[email-masked]>
>>> Signed-off-by: Laurent Dufour <[email-masked]>
>>> ---
>>>  kernel/watchdog.c | 4 ++--
>>>  1 file changed, 2 insertions(+), 2 deletions(-)
>> 
>> Thanks.
>> 
>> I'll squash that in to the original commit.
>
> Thanks Michael,
>
> I was thinking this is too late for such a squash.

It usually would be, if I was organised, so sending a follow-up was the
correct thing for you to do :)

cheers